libnvme(2)

NAME
enum nvme_cmd_format_pi - Format NVM - Protection Information

SYNOPSIS
enum nvme_cmd_format_pi {
NVME_FORMAT_PI_DISABLE ,
NVME_FORMAT_PI_TYPE1 ,
NVME_FORMAT_PI_TYPE2 ,
NVME_FORMAT_PI_TYPE3

};

Constants

NVME_FORMAT_PI_DISABLE
    Protection information is not enabled.

NVME_FORMAT_PI_TYPE1
    Protection information is enabled, Type 1.

NVME_FORMAT_PI_TYPE2
    Protection information is enabled, Type 2.

NVME_FORMAT_PI_TYPE3
    Protection information is enabled, Type 3.